//*****************************************************************
//  
//  Copyright, IDAutomation.com, Inc. 2009. All rights reserved.
//  
//  http://www.IDAutomation.com/
//  
//  NOTICE:
//  You may incorporate our Source Code in your application
//  only if you own a valid Java Barcode Package License
//  from IDAutomation.com, Inc. and the copyright notices 
//  are not removed from the source code.
//  
//  NOTE: "DataBar" is the class of the databar barcode encoder
//
//*****************************************************************

import java.io.*;
import com.idautomation.databar.*;
import com.idautomation.databar.encoder.*;

class CreateGIF

{
    public static void main ( String [] args )
    {

      //Get the data to encode in barcode
      String message = null;
      BufferedReader in = new BufferedReader( new InputStreamReader( System.in ), 1 );
      System.out.print( "Enter data to encode: " );

      try
      {  message = in.readLine();
         if ( message == null )
            return;  // All done on EOF, so just exit.
      }
      catch ( IOException e )
      {  System.out.println( "\n\n*** Exception caught: " + e );
         return;
      }

      //NOTE: "BarCode" is the class of the linear barcode encoder

      DataBar db=new DataBar();

      // set the data to encode
      db.code=message;

      // create the file as the name of the message
      barCodeEncoder bce = new barCodeEncoder(db, "GIF", message + ".gif");
      System.exit(0);
    }


}
